<template>
    <div class="card panel-success">
        <div class="card-header">List Task</div>
        <table class="table table-hover ">
            <thead>
                <tr>
                    <th style="width: 10%" class="text-center">#</th>
                    <th>Task</th>
                    <th style="width: 20%" class="text-center">Level</th>
                    <th style="width: 160px">Action</th>
                </tr>
            </thead>

            <tbody  >
                <todo-list-item 
                v-for="(task, index) in listTask"
                v-bind:key="task.id"
                v-bind:task = "task"
                v-bind:index = "index + 1"
                v-on:handelDelete = "handelDelete"
                />
                <!-- <todo-list-item /> -->
                <!-- <todo-list-item /> -->
            </tbody>

            
        </table>
    </div>
</template>

<script>
import TodoListItem from './TodoListItem';

export default {
    name: 'todo-list-table',
    components: {
        TodoListItem
    }, 
    props: {
        listTask: { type: Array, default: [] }
    },
    data() {
        return {
            
        }
    },
    methods: {
        handelDelete(taskDelete) {
            console.log('table' , taskDelete)
            this.$emit('handelDelete',taskDelete )
        }
    }
}
</script>

<style>

</style>
